<table class="steelgroup0" width="98%" cellspacing="0" cellpadding="2" border="1" rules="rows" style="border-color:#BBB; border-style:dotted;" align="center">
	<tbody>
				
<?php
  $terms_of_day = array();
  $colspan_week = 2;
  foreach($days as $key => $day)
  {
	$terms_of_day[$key] = Termin::orderTermsOfDay(TermineDB::getTermsOfDay($day, $inst_id, $user_id), $day, 24);
	if($terms_of_day[$key] == NULL || $terms_of_day[$key]["max_terms_day"] == 0)
		$colspan_week++;
	else
		$colspan_week += $terms_of_day[$key]["max_terms_day"];
  }
?>		  
		<tr>
			<td colspan="<?= $colspan_week ?>">
				<!-- -->
				<table class="steelgroup0" width="100%" cellspacing="0" cellpadding="2" border="0" align="center">
					<tbody>
						<tr>
							<td width="15%" align="center">
								<a href="<?= $week_link?>&date=<?= $date - 60 * 60 * 24 * 7?>"> <img border="0" title="eine Woche zurück" alt="eine Woche zurück" src="/assets/images/calendar_previous.gif"/> </a>
							</td>
							<td width="70%" class="calhead"><?= $title ?></td>
							<td width="15%" align="center">
								<a href="<?= $week_link?>&date=<?= $date + 60 * 60 * 24 * 7?>"> <img border="0" title="eine Woche vor" alt="eine Woche vor" src="/assets/images/calendar_next.gif"/> </a>
							</td>
						</tr>
					</tbody>
				</table>
				<!-- -->
			</td>
		</tr>
		<tr>
			<td width="1%" nowrap="nowrap" align="center">&nbsp;</td>
			<td colspan="<?= $terms_of_day[0]["max_terms_day"]; ?>" width="13%" align="center" class="steelgroup0"><a href="<?= $day_link?>&date=<?= $days[0]?>" class="calhead"><b>Mo<?= date(" d", $days[0])?></b></a></td>
			<td colspan="<?= $terms_of_day[1]["max_terms_day"]; ?>" width="13%" align="center" class="steelgroup0"><a href="<?= $day_link?>&date=<?= $days[1]?>" class="calhead"><b>Di<?= date(" d", $days[1])?></b></a></td>
			<td colspan="<?= $terms_of_day[2]["max_terms_day"]; ?>" width="13%" align="center" class="steelgroup0"><a href="<?= $day_link?>&date=<?= $days[2]?>" class="calhead"><b>Mi<?= date(" d", $days[2])?></b></a></td>
			<td colspan="<?= $terms_of_day[3]["max_terms_day"]; ?>" width="13%" align="center" class="steelgroup0"><a href="<?= $day_link?>&date=<?= $days[3]?>" class="calhead"><b>Do<?= date(" d", $days[3])?></b></a></td>
			<td colspan="<?= $terms_of_day[4]["max_terms_day"]; ?>" width="13%" align="center" class="steelgroup0"><a href="<?= $day_link?>&date=<?= $days[4]?>" class="calhead"><b>Fr<?= date(" d", $days[4])?></b></a></td>
			<td colspan="<?= $terms_of_day[5]["max_terms_day"]; ?>" width="13%" align="center" class="steelgroup0"><a href="<?= $day_link?>&date=<?= $days[5]?>" class="calhead"><b>Sa<?= date(" d", $days[5])?></b></a></td>
			<td colspan="<?= $terms_of_day[6]["max_terms_day"]; ?>" width="13%" align="center" class="steelgroup0"><a href="<?= $day_link?>&date=<?= $days[6]?>" class="calhead"><b>So<?= date(" d", $days[6])?></b></a></td>
			<td width="1%" nowrap="nowrap" align="center">&nbsp;</td>
		</tr>		    
<?php

for($hour = $week_begin; $hour<$week_end; $hour++) // 1 Stunde = 1 Zeile
{
	echo "<tr>";
	echo "<td class='precol1w' height='20'>$hour</td>";
	
	for($day=0; $day<7; $day++)
	{
		$current_day = idate("d", $days[$day]) == idate("d", time()) &&  
			idate("m", $days[$day]) == idate("m", time()) &&
			idate("Y", $days[$day]) == idate("Y", time());	
			
		if($terms_of_day[$day] != NULL)
		{			
			$terms_max = $terms_of_day[$day]['max_terms_day'];
			$terms_done = 0;
			
			foreach($terms_of_day[$day][$hour] as $term) // Termine anzeigen
			{
				$terms_done++;
				if(Termin::isFirstSlot($terms_of_day[$day], $term->id, $hour))
				{
					$rowspan = Termin::getNumberOfSlots($terms_of_day[$day], $term->id);
					$currDay = '';
					
					switch($day){
						case 0: $currDay = 'Mo'; break;
						case 1: $currDay = 'Di'; break;
						case 2: $currDay = 'Mi'; break;
						case 3: $currDay = 'Do'; break;
						case 4: $currDay = 'Fr'; break;
						case 5: $currDay = 'Sa'; break;
						case 6: $currDay = 'So'; break;
					}
					  
					echo "<td rowspan='$rowspan' style='padding:3px; text-align:left; border:1px solid #CF7300; vertical-align:top; font-size:10px; color:#FFF; background-color:#E5E5E5;'>";
					echo "<div style='font-size:10px; padding:1px 3px; text-align:right; background-color: #C53D3D;'>" . $term->getTimeTitle() . "<br>$currDay</div>";
					echo "<a href='" . $term->getURL() . "' style='color: #222;'>" . $term->getTitle() . "</a>";
					echo "</td>";
				}
			}
			for($terms_done; $terms_done<$terms_max; $terms_done++) // leere Slots anzeigen
			{
				if($terms_done == $terms_max-1)
					echo "<td class='steel1' colspan='1' style='border-right:1px dotted #BBB;'></td>";
				else
					echo "<td class='steel1' colspan='1'></td>";
			}				
		}
		else {
			echo "<td class='" . ($current_day ? "celltoday" : "steel1"). "'";
			if($day!=6)
				echo " style='border-right:1px dotted #BBB;' "; // letzter Wochentag; kein Rahmen!
			echo "colspan='1'>&nbsp;";
			echo "</td>";
		}
	}
	
	echo "<td class='precol1w' height='20'>$hour</td>";
	echo "</tr>";
}
?>
	</tbody>
</table>

<table width="98%" cellspacing="0" cellpadding="0" border="0" align="center">
	<tbody>
		<tr><td>&nbsp;</td></tr>
		<tr>
			<td width="100%" align="center">
				<blockquote>
					<form method="post" action="<?= $week_link ?>">
						<b>Gehe zu:</b>  
						<input type="text" value="<?= idate('d', $date);?>" maxlength="2" size="2" name="jmp_d"/> . 
						<input type="text" value="<?= idate('m', $date);?>" maxlength="2" size="2" name="jmp_m"/> . 
						<input type="text" value="<?= idate('Y', $date);?>" maxlength="4" size="4" name="jmp_y"/> 
						<input type="image" border="0" align="absmiddle" src="/assets/images/locale/de/LC_BUTTONS/absenden-button.png" class="button"/>
						<input type="hidden" value="1235861999" name="atime"/>
					</form>
				</blockquote>
			</td>
		</tr>
		<tr><td>&nbsp;</td></tr>
	</tbody>
</table>
