<?php

/**
 * config.inc.php
 *
 * Einrichtungstermine: Kalender fuer alle Termine einer Einrichtung
 * 
 * @package	RFT
 *
 * @author	Henning Voss, vosshe@fh-trier.de
 * @author	David Klober, kloberd@fh-trier.de
 * @author	Marcus Haberkorn, haberkorn@fh-trier.de
 * @mail	elearning@fh-trier.de
 * @copyright	RFT 2006-2010
 */

class Calendar 
{
    public static $TAGE = array(
        1 => "Montag", 
        2 => "Dienstag",
        3 => "Mittwoch",
        4 => "Donnerstag",
        5 => "Freitag",
        6 => "Samstag",
        0 => "Sonntag"
    );

    public static $TAGE_SHORT = array(
        1 => "Mo", 
        2 => "Di",
        3 => "Mi",
        4 => "Do",
        5 => "Fr",
        6 => "Sa",
        0 => "So"
    );

    public static $MONATE = array(
        1 => "Januar",
        2 => "Februar",
        3 => "M&auml;rz",
        4 => "April",
        5 => "Mai",
        6 => "Juni",
        7 => "Juli",
        8 => "August",
        9 => "September",
        10 => "Oktober",
        11 => "November",
        12 => "Dezember"
    );

    public static $VIEWPORTS = array(
       "DAY_BEGIN" => 7,
       "DAY_END" => 24,
       "WEEK_BEGIN" => 7,
       "WEEK_END" => 24
    );
}
?>
